#pragma once

#include "CoreMinimal.h"
#include "CoreBaseUserWidget.h"
#include "BloodpointBonus.h"
#include "BloodpointBonusLabelWidget.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class DBDUIVIEWSCORE_API UBloodpointBonusLabelWidget : public UCoreBaseUserWidget
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent)
	void SetData(const FBloodpointBonus& viewData);

public:
	UBloodpointBonusLabelWidget();
};

FORCEINLINE uint32 GetTypeHash(const UBloodpointBonusLabelWidget) { return 0; }
